import * as tslib_1 from "tslib";
import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { MassIndexIndicator } from "./MassIndexIndicator";
/**
 * Represents a IgxDataChartComponent Mass Index indicator series.
 * Default required members: High, Low
*
* Represents a Ignite UIDataChart Mass Index indicator series.
*
* Example:
*/
var IgrMassIndexIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(IgrMassIndexIndicator, _super);
    function IgrMassIndexIndicator(props) {
        return _super.call(this, props) || this;
    }
    IgrMassIndexIndicator.prototype.createImplementation = function () {
        return new MassIndexIndicator();
    };
    Object.defineProperty(IgrMassIndexIndicator.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    return IgrMassIndexIndicator;
}(IgrStrategyBasedIndicator));
export { IgrMassIndexIndicator };
